-- 基础信息
base_info = {
	group_id = 247005008
}

-- DEFS_MISCS
local GroupId = 247005008
local point_id_list = {}
local MainGroupID = 247005001
local RegionID = 8001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 8001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -0.045, y = -0.697, z = 240.438 } }
}

-- 触发器
triggers = {
	{ config_id = 1008001, name = "ENTER_REGION_8001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 8002, pos = { x = -0.094, y = -0.708, z = 253.815 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8003, pos = { x = -3.090, y = -0.708, z = 253.113 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8004, pos = { x = 3.132, y = -0.708, z = 253.229 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8005, pos = { x = -7.002, y = -0.708, z = 251.905 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8006, pos = { x = 7.070, y = -0.708, z = 251.457 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8007, pos = { x = -9.449, y = -0.708, z = 249.406 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8008, pos = { x = 10.306, y = -0.708, z = 249.423 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8009, pos = { x = -10.261, y = -0.708, z = 246.870 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 8010, pos = { x = 10.419, y = -0.708, z = 246.522 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 8011, pos = { x = -10.311, y = -0.708, z = 243.776 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 8012, pos = { x = -0.025, y = -0.708, z = 252.502 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 8013, pos = { x = -4.921, y = -0.708, z = 250.536 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 8014, pos = { x = 5.029, y = -0.708, z = 250.710 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 8015, pos = { x = -8.321, y = -0.708, z = 247.439 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 8016, pos = { x = 9.215, y = -0.708, z = 246.417 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 8017, pos = { x = -7.872, y = -0.708, z = 241.782 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 8018, pos = { x = 8.626, y = -0.708, z = 240.502 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 8019, pos = { x = -4.865, y = -0.708, z = 237.971 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 8020, pos = { x = 5.207, y = -0.708, z = 237.161 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 8021, pos = { x = -0.033, y = -0.708, z = 235.107 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 8022, pos = { x = -10.040, y = -0.708, z = 252.844 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 8023, pos = { x = 10.026, y = -0.708, z = 252.844 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 8024, pos = { x = -10.040, y = -0.708, z = 233.818 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 8025, pos = { x = 10.026, y = -0.708, z = 233.818 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 8026, pos = { x = -8.306, y = -0.708, z = 252.844 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 8027, pos = { x = 11.760, y = -0.708, z = 252.844 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 8028, pos = { x = -8.306, y = -0.708, z = 233.818 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 8029, pos = { x = 11.760, y = -0.708, z = 233.818 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 8030, pos = { x = -12.722, y = -0.708, z = 252.844 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 8031, pos = { x = 7.344, y = -0.708, z = 252.844 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 8032, pos = { x = -12.722, y = -0.708, z = 233.818 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 8033, pos = { x = 7.344, y = -0.708, z = 233.818 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 8034, pos = { x = -1.220, y = -0.708, z = 246.854 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8035, pos = { x = 1.012, y = -0.708, z = 246.854 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8036, pos = { x = -3.133, y = -0.708, z = 246.854 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8037, pos = { x = 3.058, y = -0.708, z = 246.854 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8038, pos = { x = -5.005, y = -0.708, z = 246.854 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8039, pos = { x = 4.896, y = -0.708, z = 246.854 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8040, pos = { x = -3.250, y = -0.708, z = 244.482 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8041, pos = { x = 2.796, y = -0.708, z = 244.482 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8042, pos = { x = 1.012, y = -0.708, z = 244.482 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8043, pos = { x = -1.220, y = -0.708, z = 244.482 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 8044, pos = { x = 5.143, y = -0.699, z = 241.024 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 8001 },
		triggers = { "ENTER_REGION_8001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
